Get all workflows

Get a list of all marketing automation workflows. A workflow is a process that guides customers through a sequence of triggers, conditions, and actions. Events recorded on customer accounts are the primary trigger mechanism for workflows.

⚠️ There is a logical AND between the query parameters planned_start and planned_end. When both are provided, only workflows matching both conditions are returned. A workflow is excluded if it has no value in a field that a provided filter uses.

⚠️ Endpoint is available only in Enterprise API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 1
Defaults to 100

The number of records to return in API response.

⚠️ We recommend adjusting the batch size based on the response time of the request. The default value of 100 records is used if the count parameter is not set.

integer
≥ 0
Defaults to 0

The number of records from a collection to skip. Default value of 0 is used when parameter offset is not set.

string

Name of the sorting parameter. You can sort by any of the first level parameters from the resource response. Response is sorted by the specified field.

string
enum

Direction of sorting the response list.

Allowed:
string

Search record by name or a part of the name.

processing_status
array of integers

Filters workflows by their processing status.
Possible values are: 1 - soft test / 2 - functional test / 3 - active / 4 - finishing / 5 - inactive / 6 - archived
To filter by multiple statuses, use array syntax: processing_status[]=3&processing_status[]=4
Logic OR is used between values.

processing_status
Allowed:
string

Filters workflows by the planned_start field. Returns only workflows whose planned_start is set and is on or after the specified value. Workflows without a planned_start are excluded from results.

Accepts the format YYYY-MM-DD HH:MM:SS or ISO-8601 format (YYYY-MM-DDTHH:MM:SS). All times are in the local timezone.

string

Filters workflows by the planned_end field. Returns only workflows whose planned_end is set and is on or before the specified value. Workflows without a planned_end are excluded from results.

Accepts the format YYYY-MM-DD HH:MM:SS or ISO-8601 format (YYYY-MM-DDTHH:MM:SS). All times are in the local timezone.

Headers
string
Defaults to cs, en-gb;q=0.8

The unique ID of the language code by ISO 639-1.

Responses

error.error_data.invalid_params[] array lists the parameters that caused the failure, each carrying a reason code. See the BadRequestErrorBody schema for the generic reason taxonomy. Operations with domain-specific business rules document additional reasons at the operation level.

429

Too many requests - more than the resource limit.

503

Temporary state when the service is temporarily unavailable, overloaded or there is a maintenance window.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json